Bug 128373 - "Makernote - Simple" should show ISO
Summary: "Makernote - Simple" should show ISO
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Exif (show other bugs)
Version: 0.9.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-31 14:35 UTC by Matthias Wieser
Modified: 2017-08-13 10:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Wieser 2006-05-31 14:35:31 UTC
Version:           0.9.0-svn (using KDE 3.5.2 Level "a" , SUSE 10.0 UNSUPPORTED)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.13-15.10-default

"Makernote - Simple" should show the ISO value which is only shown in "full" level of detail.
Shutter speed, aperture and ISO are a triple of values which belong together.
Additionally a high ISO value is an indication that you might want to use a denoise filter.
Comment 1 caulier.gilles 2006-05-31 22:25:01 UTC
Witch camera you use. Makernote depand of camera MAKER. List of Human Readable makernote can be improved of course...

Gilles Caulier
Comment 2 Matthias Wieser 2006-06-01 12:44:27 UTC
Am Mittwoch, 31. Mai 2006 22:25 schrieb Gilles Caulier:

> Witch camera you use. Makernote depand of camera MAKER. List of
> Human Readable makernote can be improved of course...


I'm using a Canon Powershot G5.
ISO is shown in the FULL makernotes but not in the SIMPLE one.
In which files can I find the list of Human Readable makernotes and the List 
of all available makernotes?


In the long term: Wouldn't it be good to merge makernotes and exif infos 
into one single tab? Bibble does it this way and I think that users are 
more interested in shutter speed, date, aperture and not so much if the 
aperture is retrieved from exif or maker notes.

Regards,
  Matthias
Comment 3 caulier.gilles 2006-06-01 12:55:24 UTC
The config of human readable makernotes list is here :

http://websvn.kde.org/trunk/extragear/graphics/digikam/libs/widgets/metadata/makernotewidget.cpp?rev=527451&view=auto

I'm currently working to fix this list. Let's some time to commit changes

Merging Exif and Makernotes is a non sence and give an overload GUI. Bibble is not a reference for me about GUI. I think it's a very confuse interface.

But a config to set Exif/makernotes tags with a new Custom setting (like Full and Simple option) is planed later 0.9.0. There is file in B.K.O about...

Gilles
Comment 4 Matthias Wieser 2006-06-01 13:07:19 UTC
Am Donnerstag, 1. Juni 2006 12:55 schrieb Gilles Caulier:

> The config of human readable makernotes list is here :
>
>http://websvn.kde.org/trunk/extragear/graphics/digikam/libs/widgets/metadata/makernotewidget.cpp?rev=527451&view=auto


Thanks. I already discovered this file but thought that maybe there is 
another place where human readable makerntes are defined.
The strange thing is that the list MakerNoteHumanList[] contains 
"ISOSpeedRatings" but Digikam does not show the ISO in simple mode. Is 
there another field which holds ISO values? Is there a list of all fields 
shown by the "full mode" of the makernotes? I could not find one.


Regards,
  Matthias
Comment 5 caulier.gilles 2006-06-01 13:17:03 UTC
Each camera maker use non standard annotation tags. More info here :

http://www.exiv2.org/tags-canon.html

Gilles
Comment 6 caulier.gilles 2006-06-01 14:01:13 UTC
SVN commit 547231 by cgilles:

digikam from trunk : Fix human readable makernote list
BUG: 128373

 M  +45 -18    makernotewidget.cpp  


--- trunk/extragear/graphics/digikam/libs/widgets/metadata/makernotewidget.cpp #547230:547231
@@ -50,30 +50,57 @@
 namespace Digikam
 {
 
+// This list mix differents tags name used by camera makers.
 static const char* MakerNoteHumanList[] =
 {
-     "Make",
-     "Model",
-     "DateTime",
-     "ImageDescription",
-     "Copyright",
-     "ShutterSpeedValue",
-     "ApertureValue",
+     "AFFocusPos",
+     "AFMode",
+     "AFPoint",
+     "AutofocusMode",
+     "ColorMode",
+     "ColorTemperature",
+     "Contrast",
+     "DigitalZoom",
+     "ExposureMode",
      "ExposureProgram",
-     "ExposureMode",
-     "ExposureBiasValue",
-     "ExposureTime",
-     "WhiteBalance",
-     "ISOSpeedRatings",
-     "FocalLength",
-     "SubjectDistance",
+     "ExposureCompensation",
+     "ExposureManualBias",
+     "Flash",
+     "FlashBias",
+     "FlashMode",
+     "FlashType",
+     "FlashDevice",
+     "FNumber", 
+     "Focus"
+     "FocusDistance",
+     "FocusMode",
+     "FocusSetting",
+     "FocusType",
+     "Hue",
+     "HueAdjustment",
+     "ImageStabilizer",
+     "ImageStabilization",
+     "InternalFlash", 
+     "ISOSelection",
+     "ISOSpeed",
+     "Lens",
+     "LensType",
+     "LensRange",
+     "Macro",
      "MeteringMode",
-     "Contrast",
+     "NoiseReduction",
+     "OwnerName",
+     "Quality",
+     "Tone",
+     "ToneComp",
      "Saturation",
      "Sharpness",
-     "LightSource",
-     "Flash",
-     "FNumber",
+     "ShootingMode",
+     "ShutterSpeedValue",
+     "SpotMode",
+     "SubjectDistance",
+     "WhiteBalance",
+     "WhiteBalanceBias",
      "-1"
 };
 
Comment 7 Matthias Wieser 2006-06-01 14:32:23 UTC
Am Donnerstag, 1. Juni 2006 14:01 schrieb Gilles Caulier:
>
> digikam from trunk : Fix human readable makernote list
> BUG: 128373


Thanks, looks much better now. Not only ISO, but also aditional information 
is shown. Thanks!